Android Studio игнорировать –core-library flag

У меня есть проект, который я хочу настроить на своем компьютере.

На anothe компьютере это работает, но со старой версией Android Studio 0.4.0 всякий раз, когда я использую 0.5.2

Прогресс заключается в том, что после запуска приложения он показывает ошибку

Ошибка сценария сборки, неподдерживаемый метод Gradle DSL найден: 'coreLibrary ()'! Возможными причинами могут быть:
– вы используете версию Gradle, где этот метод отсутствует, – вы не применили плагин Gradle, который предоставляет этот метод, – или есть ошибка в скрипте сборки

Но для того, чтобы заставить его работать, я должен использовать этот флаг! Я уже пытался включить его в настройках> Компиляторы Android> «Добавить -core-library», но это бесполезно …

В градиенте у меня есть следующая часть кода:

dexOptions { coreLibrary true; } 

Эта ошибка проявилась только после активации этих строк … Без них это не сработало …

КАК ДОЛЖЕН Я ПОЛУЧИТЬ ЭТО? Возможно, это из-за разных версий. Если да, то как мне писать, чтобы заставить его работать?

После того, как вы изменили на coreLibrary = true, он компилирует Gradle fine BUt stille, требуемый после использования флажка Run -core-library, используя … Но я уже установил его в true в настройках …

Это показывает почти ту же ошибку:

 Error:Execution failed for task ':BusKg:preDexDebug'. > com.android.ide.common.internal.LoggedErrorException: Failed to run command: D:\Programms\Programms\adt-bundle-windows-x86_64-20131030\sdk\build-tools\android-4.4\dx.bat --dex --output D:\Android2\BUS.kg\marshrutka\BusKg\build\pre-dexed\debug\annotations-api-6.0.26-27e56569b50edbdd453f9bc0e568cde1fbfa621b.jar C:\Users\Viacheslav\.gradle\caches\modules-2\files-2.1\org.apache.tomcat\annotations-api\6.0.26\50aeafa144ed17913ed44d18ac61afd505a9e3e\annotations-api-6.0.26.jar Error Code: 1 Output: trouble processing "javax/xml/ws/WebServiceRef.class": Ill-advised or mistaken usage of a core class (java.* or javax.*) when not building a core library. This is often due to inadvertently including a core library file in your application's project, when using an IDE (such as Eclipse). If you are sure you're not intentionally defining a core class, then this is the most likely explanation of what's going on. However, you might actually be trying to define a class in a core namespace, the source of which you may have taken, for example, from a non-Android virtual machine project. This will most assuredly not work. At a minimum, it jeopardizes the compatibility of your app with future versions of the platform. It is also often of questionable legality. If you really intend to build a core library -- which is only appropriate as part of creating a full virtual machine distribution, as opposed to compiling an application -- then use the "--core-library" option to suppress this error message. If you go ahead and use "--core-library" but are in fact building an application, then be forewarned that your application will still fail to build or run, at some point. Please be prepared for angry customers who find, for example, that your application ceases to function once they upgrade their operating system. You will be to blame for this problem. If you are legitimately using some code that happens to be in a core package, then the easiest safe alternative you have is to repackage that code. That is, move the classes in question into your own package namespace. This means that they will never be in conflict with core system classes. JarJar is a tool that may help you in this endeavor. If you find that you cannot do this, then that is an indication that the path you are on will ultimately lead to pain, suffering, grief, and lamentation. 1 error; aborting 

Заранее благодарю за любую помощь…

Solutions Collecting From Web of "Android Studio игнорировать –core-library flag"

Синтаксис для задания значений dexOptions отличается; Вам нужен знак равенства:

 dexOptions { coreLibrary = true; } 
 project.tasks.withType(com.android.build.gradle.tasks.Dex) { additionalParameters=['--core-library'] } 

Не работает должным образом и получает ошибку:

Не удалось получить неизвестное свойство 'com' для объекта типа com.android.build.gradle.AppExtension.

Я решаю проблему, добавив это в блок Android.

 dexOptions { preDexLibraries = false additionalParameters=['--core-library'] } 

Надеюсь, это полезно для вас!

В Android Studio 1.1.0 перейдите к:

Файл -> Другие настройки -> Настройки по умолчанию -> Компиляторы -> Компиляторы Android

Вы найдете флажок Добавить флаг «–core-library», но это, похоже, не работает.

Вместо этого редактируйте файл app / build.gradle

Отключение предварительного удаления внутри android {} с использованием

 dexOptions { preDexLibraries = false } 

И изменение Dex task используя

 project.tasks.withType(com.android.build.gradle.tasks.Dex) { additionalParameters=['--core-library'] } 

Решает проблему.

Изменить: полное содержимое приложения / build.gradle

 apply plugin: 'com.android.application' android { compileSdkVersion 21 buildToolsVersion "21.1.2" defaultConfig { applicationId "appId" minSdkVersion 19 targetSdkVersion 21 versionCode 1 versionName "1.0" multiDexEnabled true } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } dexOptions { preDexLibraries = false javaMaxHeapSize "4g" } project.tasks.withType(com.android.build.gradle.tasks.Dex) { additionalParameters=['--core-library'] } packagingOptions { exclude 'META-INF/LICENSE' exclude 'META-INF/NOTICE' exclude 'META-INF/MANIFEST.MF' exclude 'META-INF/DEPENDENCIES' exclude 'META-INF/LICENSE.txt' // more exclude files here if conflicts } } 

Я думаю, что мы не можем включить --core-library через dexOptions .

Мы знаем, что dexOptions делегирован объекту com.android.build.gradle.internal.dsl.DexOptions , который реализует com.android.builder.core.DexOptions .

Из исходного кода мы знаем, что он не поддерживает --core-library .

Из номера 79280: dexOptions в плагине градиента не поддерживают coreLibrary

Вы можете сделать это вручную

  • Отключите предварительное удаление (это связано с тем, что в нашем кеше будут проблемы, если мы разрешим добавлять дополнительные параметры)
  • Измените задачи Dex, чтобы добавить –core-library в качестве дополнительных параметров.

Привет, у меня такая же проблема, и я решил ее, установив флажок «Добавить -core-library» в / Preferences / Compiler / Android Compilers

Я решил эту проблему! К сожалению, я решил это только путем установки версии Android Studio 0.4.2 …. Другие методы не помогли … Возможно, позже, лучше настроить проект для новой версии Android Studio.

Вам придется исключать библиотеки, которые вызывают эту проблему. Например: –

 compile('org.simpleframework:simple-xml:2.7.+'){ exclude module: 'stax' exclude module: 'stax-api' exclude module: 'xpp3' }